# CaptureService | windmill-client
Documentation for windmill-client

# Class CaptureService

- Defined in src/services.gen.ts:6044

#####
Index

### Constructors

constructor

### Methods

createCapture
getCapture
updateCapture

##
Constructors

### constructor

- new CaptureService(): CaptureService

- #### Returns CaptureService

##
Methods

### `Static` createCapture

- createCapture(data): CancelablePromise <unknown>

- create flow preview capture

  #### Parameters

  - data: CreateCaptureData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown flow preview capture created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6072

### `Static` getCapture

- getCapture(data): CancelablePromise <unknown>

- get flow preview capture

  #### Parameters

  - data: GetCaptureData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown captured flow preview

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6091

### `Static` updateCapture

- updateCapture(data): CancelablePromise <void>

- update flow preview capture

  #### Parameters

  - data: UpdateCaptureData

    The data for the request.

  #### Returns CancelablePromise <void>

  void flow preview captured

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6053